org.wildfly.swarm.config.ejb3

## Class IdentityService<T extends IdentityService<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.IdentityService<T>

-     public class IdentityService<T extends IdentityService<T>>
      extends Object

  Identity definition for security identity propagation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `outflowSecurityDomain(String value)` References to security domains to attempt to outflow any established identity to
    `List<String>` | `outflowSecurityDomains()` References to security domains to attempt to outflow any established identity to
    `T` | `outflowSecurityDomains(List<String> value)` References to security domains to attempt to outflow any established identity to
    `T` | `outflowSecurityDomains(String... args)` References to security domains to attempt to outflow any established identity to
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityService

          public IdentityService()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### outflowSecurityDomains

          public List<String> outflowSecurityDomains()

      References to security domains to attempt to outflow any established identity to

    - #### outflowSecurityDomains

          public T outflowSecurityDomains(List<String> value)

      References to security domains to attempt to outflow any established identity to

    - #### outflowSecurityDomain

          public T outflowSecurityDomain(String value)

      References to security domains to attempt to outflow any established identity to

    - #### outflowSecurityDomains

          public T outflowSecurityDomains(String... args)

      References to security domains to attempt to outflow any established identity to

Copyright © 2017 JBoss by Red Hat. All rights reserved.